import { GridOption, PaginationService, SharedService, SlickGrid, ServicePagination, TranslaterService, PubSubService } from '@slickgrid-universal/common';
export declare class SlickPaginationComponent {
    private readonly paginationService;
    private readonly pubSubService;
    private readonly sharedService;
    private readonly translaterService?;
    private _bindingHelper;
    private _paginationElement;
    private _enableTranslate;
    private _locales;
    private _subscriptions;
    currentPagination: ServicePagination;
    firstButtonClasses: string;
    lastButtonClasses: string;
    prevButtonClasses: string;
    nextButtonClasses: string;
    textItemsPerPage: string;
    textItems: string;
    textOf: string;
    textPage: string;
    constructor(paginationService: PaginationService, pubSubService: PubSubService, sharedService: SharedService, translaterService?: TranslaterService | undefined);
    get availablePageSizes(): number[];
    get dataFrom(): number;
    get dataTo(): number;
    get itemsPerPage(): number;
    set itemsPerPage(count: number);
    get pageCount(): number;
    get pageNumber(): number;
    set pageNumber(_page: number);
    get grid(): SlickGrid;
    get gridOptions(): GridOption;
    get gridUid(): string;
    get totalItems(): number;
    get isLeftPaginationDisabled(): boolean;
    get isRightPaginationDisabled(): boolean;
    dispose(): void;
    renderPagination(gridParentContainerElm: HTMLElement): void;
    /** Render and fill the Page Sizes <select> element */
    renderPageSizes(): void;
    /** Add some DOM Element bindings */
    addBindings(): void;
    /** Add some DOM Element event listeners */
    addEventListeners(): void;
    changeToFirstPage(event: MouseEvent): void;
    changeToLastPage(event: MouseEvent): void;
    changeToNextPage(event: MouseEvent): void;
    changeToPreviousPage(event: MouseEvent): void;
    changeToCurrentPage(pageNumber: number): void;
    private updatePageButtonsUsability;
    /** Translate all the texts shown in the UI, use ngx-translate service when available or custom locales when service is null */
    private translatePaginationTexts;
}
